---
source:
documentation:
author: supabase
tags:
  - wasm
  - official
---

# Wasm Wrappers

Foreign data wrappers built with Wasm which can be used on Supabase platform.

<div class="grid cards" markdown>

- :simple-webassembly: &nbsp; **[Cal.com](../cal.md)**

    ----

    Foreign data wrapper for [Cal.com](https://cal.com/).

    Supported by [Supabase](https://www.supabase.com)

    :octicons-tag-24: [v0.1.0](https://github.com/supabase/wrappers/releases/tag/cal_fdw_v0.1.0) &nbsp;
    :octicons-code-24: [source](https://github.com/supabase/wrappers/tree/wasm_cal_fdw_v0.1.0/wasm-wrappers/fdw/calendly_fdw) &nbsp;
    :material-file-document: [docs](../cal.md)

- :simple-webassembly: &nbsp; **[Calendly](../calendly.md)**

    ----

    Foreign data wrapper for [Calendly](https://calendly.com/).

    Supported by [Supabase](https://www.supabase.com)

    :octicons-tag-24: [v0.1.0](https://github.com/supabase/wrappers/releases/tag/calendly_fdw_v0.1.0) &nbsp;
    :octicons-code-24: [source](https://github.com/supabase/wrappers/tree/wasm_calendly_fdw_v0.1.0/wasm-wrappers/fdw/calendly_fdw) &nbsp;
    :material-file-document: [docs](../calendly.md)

- :simple-webassembly: &nbsp; **[Cloudflare D1](../cfd1.md)**

    ----

    Foreign data wrapper for [Cloudflare D1](https://developers.cloudflare.com/d1/).

    Supported by [Supabase](https://www.supabase.com)

    :octicons-tag-24: [v0.1.0](https://github.com/supabase/wrappers/releases/tag/cfd1_fdw_v0.1.0) &nbsp;
    :octicons-code-24: [source](https://github.com/supabase/wrappers/tree/wasm_cfd1_fdw_v0.1.0/wasm-wrappers/fdw/cfd1_fdw) &nbsp;
    :material-file-document: [docs](../cfd1.md)

- :simple-webassembly: &nbsp; **[Notion](../notion.md)**

    ----

    Foreign data wrapper for [Notion](https://notion.so/).

    Supported by [Supabase](https://www.supabase.com)

    :octicons-tag-24: [v0.1.0](https://github.com/supabase/wrappers/releases/tag/wasm_notion_fdw_v0.1.0) &nbsp;
    :octicons-code-24: [source](https://github.com/supabase/wrappers/tree/wasm_notion_fdw_v0.1.0/wasm-wrappers/fdw/notion_fdw) &nbsp;
    :material-file-document: [docs](../notion.md)

- :simple-webassembly: &nbsp; **[Paddle](../paddle.md)**

    ----

    Foreign data wrapper for [Paddle](https://www.paddle.com/).

    Supported by [Supabase](https://www.supabase.com)

    :octicons-tag-24: [v0.1.1](https://github.com/supabase/wrappers/releases/tag/wasm_paddle_fdw_v0.1.1) &nbsp;
    :octicons-code-24: [source](https://github.com/supabase/wrappers/tree/wasm_paddle_fdw_v0.1.1/wasm-wrappers/fdw/paddle_fdw) &nbsp;
    :material-file-document: [docs](../paddle.md)

- :simple-webassembly: &nbsp; **[Snowflake](../snowflake.md)**

    ----

    Foreign data wrapper for [Snowflake](https://www.snowflake.com/en/).

    Supported by [Supabase](https://www.supabase.com)

    :octicons-tag-24: [v0.1.1](https://github.com/supabase/wrappers/releases/tag/wasm_snowflake_fdw_v0.1.1) &nbsp;
    :octicons-code-24: [source](https://github.com/supabase/wrappers/tree/wasm_snowflake_fdw_v0.1.1/wasm-wrappers/fdw/snowflake_fdw) &nbsp;
    :material-file-document: [docs](../snowflake.md)

</div>
